<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <title>Formularios</title>
</head>
<body>
    <h1>Formulario</h1>

    <form action="">

        <label for="fecha">
            <span>Fecha</span>
            <input type="date" name="fecha" id="fecha">
        </label>
        <br>
        <label for="hora">
            <span>Hora</span>
            <input type="time" name="hora" id="hora">

        </label>
        <br>
        <label for="nombre">
            <span>Nombre</span>
            <input type="text" name="nombre" id="nombre">
        </label>

        <!-- ESTO NO ESTA MAL PERO HAY UNA MEJOR MANERA
            
            <select name="country" id="">
            <option value="AR">Argentina</option>
            <option value="VE">Venezuela</option>
            <option value="COL">Colombia</option>
            <option value="PER">Perú</option>



        </select> -->

        <!---------------- MEJOR MANERA -------------->

        <input list="countries">
        <datalist id="countries">
            <option value="AR"></option>
            <option value="VE"></option>
            <option value="COL"></option>
            <option value="PER"></option>


        </datalist>

    </form>
    
</body>
</html>